Bug 30325 - (Bug 30098 follow-up) Broken patron search redirect when one result
Summary: (Bug 30098 follow-up) Broken patron search redirect when one result
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords: regression
Depends on: 30098
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-21 22:16 UTC by Fridolin Somers
Modified: 2022-03-25 13:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result (1.80 KB, patch)
2022-03-21 22:22 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result (1.85 KB, patch)
2022-03-22 11:09 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result (1.93 KB, patch)
2022-03-22 12:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-03-21 22:16:53 UTC
Bug 30098 fixed patron search behavior when a later page has only 1 result, but broke the redirect when there is only a single result from search.
Comment 1 Fridolin Somers 2022-03-21 22:22:12 UTC
Created attachment 131993 [details] [review]
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result

Bug 30098 fixed patron search behavior when a later page has only 1 result, but broke the redirect when there is only a single result from search.

To test:
1 - Perform a patron search that returns 41 results, on koha-testing-docker, 'a' works
2 - Go to second page of results, works
3 - On third page you remain in results and are not redirected
4 - Perform a patron search that return only 1 result, name or cardnumber
5 - You get redirected to this patron page
Comment 2 Nick Clemens 2022-03-22 11:09:20 UTC
Created attachment 132008 [details] [review]
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result

Bug 30098 fixed patron search behavior when a later page has only 1 result, but broke the redirect when there is only a single result from search.

To test:
1 - Perform a patron search that returns 41 results, on koha-testing-docker, 'a' works
2 - Go to second page of results, works
3 - On third page you remain in results and are not redirected
4 - Perform a patron search that return only 1 result, name or cardnumber
5 - You get redirected to this patron page

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Jonathan Druart 2022-03-22 12:27:44 UTC
Created attachment 132015 [details] [review]
Bug 30325: (Bug 30098 follow-up) Fix broken patron search redirect when one result

Bug 30098 fixed patron search behavior when a later page has only 1 result, but broke the redirect when there is only a single result from search.

To test:
1 - Perform a patron search that returns 41 results, on koha-testing-docker, 'a' works
2 - Go to second page of results, works
3 - On third page you remain in results and are not redirected
4 - Perform a patron search that return only 1 result, name or cardnumber
5 - You get redirected to this patron page

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-03-22 20:19:51 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-03-25 13:39:52 UTC
Pushed to 21.11.x for 21.11.05